LDD(1)

NAME
ldd - print shared library dependencies

SYNOPSIS
ldd [-vVdr] program|library ...

DESCRIPTION
ldd prints the shared libraries required by each program or shared library specified on the command line. If a shared library name does not contain a '/', ldd attempts to locate the library in the standard locations. To run ldd on a shared library in the current directory, a "./" must be prepended to it's name.

OPTIONS

-v  Print the version number of ldd.

-V  Print the version number of the dynamic linker, ld.so.

-d  Perform relocations and report any missing functions (ELF only).

-r  Perform relocations for both data objects and functions, and report any missing objects (ELF only).

BUGS
ldd does not work very well on libc.so.5 itself.

ldd does not work on a.out shared libraries.

ldd does not work with some extremely old a.out programs which were built before ldd support was added to the compiler releases. If you use ldd on one of these programs, the program will attempt to run with argc = 0 and the results will be unpredictable.

AUTHOR
David Engel.

SEE ALSO
ldconfig(8), ld.so(8).